GatewayException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache, class: GatewayException

Package org.apache.geode.cache

# Class GatewayException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.GemFireException
org.apache.geode.cache.CacheRuntimeException
org.apache.geode.cache.OperationAbortedException
org.apache.geode.cache.GatewayException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `GatewayConfigurationException`

public class GatewayException extends OperationAbortedException
An exception thrown by a `Gateway`.

Since:
  GemFire 4.2
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GatewayException()`
  Constructor.
  `GatewayException(String msg)`
  Constructor.
  `GatewayException(String msg, Throwable cause)`
  Constructor.
  `GatewayException(Throwable cause)`
  Constructor.

- ## Method Summary

  ### Methods inherited from class org.apache.geode.cache.CacheRuntimeException

  `toString`

  ### Methods inherited from class org.apache.geode.GemFireException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GatewayException

    public GatewayException()
    Constructor. Creates a new instance of `GatewayException`.

  - ### GatewayException

    public GatewayException(String msg)
    Constructor. Creates an instance of `GatewayException` with the specified detail message.
    Parameters:
      `msg` - the detail message

  - ### GatewayException

    public GatewayException(String msg, Throwable cause)
    Constructor. Creates an instance of `GatewayException` with the specified detail message and cause.
    Parameters:
      `msg` - the detail message
      `cause` - the causal Throwable

  - ### GatewayException

    public GatewayException(Throwable cause)
    Constructor. Creates an instance of `GatewayException` with the specified cause.
    Parameters:
      `cause` - the causal Throwable